Method: projects.locations.devices.list

Lists all devices.

HTTP request

GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/devices

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent of the collection of devices. Format: projects/{project}/locations/global. It takes the form projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of devices to return. The server may return fewer items than this value.

pageToken

string

Optional. A page token, received from a previous devices.list call. Provide this to receive the subsequent page.

When paginating, all other parameters provided to devices.list must match the call that provided the page token.

filter

string

Optional. An AIP-160 (https://google.aip.dev/160) filter expression restricting which devices are returned. An empty filter returns all devices.

Filtering is supported over the Device fields, including nested fields via dot-path. Enum and string values must be double-quoted.

Examples: * platform = "ANDROID" * platform = "ANDROID" AND osVersion = "34" * hardwareType = "PHYSICAL" AND formFactor = "PHONE" * androidDetails.build_type = "userdebug" * availability.capacity = "HIGH"

Request body

The request body must be empty.

Response body

Response including listed devices.

If successful, the response body contains data with the following structure:

JSON representation
{
  "devices": [
    {
      object (Device)
    }
  ],
  "nextPageToken": string
}
Fields
devices[]

object (Device)

The list of devices.

nextPageToken

string

Token to receive the next page of devices. This will be absent if the end of the response list has been reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.